Bug 832631 - System halts / freezes during reboot
System halts / freezes during reboot
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
i686 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
reboot first=3.3.4 tested=3.4.0-1
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-16 01:15 EDT by Andrew
Modified: 2012-07-11 15:25 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-11 14:58:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew 2012-06-16 01:15:40 EDT
Description of problem:

System halts / freezes during the shutdown phase of rebooting. This bug is present even in the installation DVD. The bug only occurs if "Reboot" is selected in the logout / shutdown menu or if the reboot command is issued in Terminal or if "Ctrl + Alt + Del" is used to restart.

When the bug occurs, all that is visible is just a text cursor in a blank fullscreen terminal. Mouse and keyboard cease responding (not even NumLock or Caps Lock work - the leds turn off during this time and no longer respond)

Performing an actual shutdown via the logout menu or issuing the shutdown command both behave normally and without error.

Version-Release number of selected component (if applicable):

kernel 3.4.0-1.fc17.i686
kernel 3.3.4-5.fc17.i686

How reproducible:

Always

Steps to Reproduce:
1. Use the Fedora 32-bit installation DVD or boot into Fedora 17 on an E-Machines T2885 or T2882 desktop PC
2. Perform a reboot
3. System halts forcing you to cut power manually
  
Actual results:

System freezes in the shutdown phase of the reboot process.

Expected results:

System should reboot normally.

Additional info:

Bug only occurs if "Reboot" is selected upon logging out or if the reboot command is issued in Terminal

Test computer is an E-Machines T2885 w/ 1GB DDR SDRAM
Intel Celeron 2.8GHz single core CPU
Primary Graphics Card   : ATI Radeon 7000 series
Secondary Graphics Card : Intel 82845G/GL/PE/GV (onboard)(disabled through BIOS)
Sound Card : Realtek AC'97 (not detected even after installing official drivers / firmware from Realtek)
LAN : Intel PRO / 100 VE

Not sure if it may be helpful but the following error messages are displayed whenever Fedora or the installer starts :

[  1.899018] render error detected, EIR 0x00000010
[  1.899018] drm: i915_report_and_clear_eir] *ERROR* EIR stuck: 0x00000010, masking
[  1.899018] render error detected, EIR 0x00000010
Cannot open font file True
Comment 1 Josh Boyer 2012-07-05 11:39:14 EDT
Can you remove the 'rhgb quiet' from the kernel parameter list in the grub configuration file, and then try various options for the reboot= parameter?  They are:

bios
smp
acpi
pci

See if setting reboot=<one of the above> works and let us know please.
Comment 2 Andrew 2012-07-11 14:54:44 EDT
I think I discovered the problem - it might be a possible hardware conflict. Even though I had the onboard Intel 82845GV disabled in BIOS, I think there may have been a conflict with the ATI Radeon 7000 series PCI video card. Upon removing the ATI Radeon card and re-enabling the Intel graphics chipset through BIOS, the bug no longer occurred.

I apologize that I can no longer perform the required test as I have discarded the offending part - for whatever reason, the onboard graphics card performs better in Linux.

Hopefully however, informing you of this discovery will help you isolate and resolve the bug.
Comment 3 Josh Boyer 2012-07-11 14:58:13 EDT
Thanks for letting us know.  I doubt we'll be able to isolate what caused the issue as none of us have similar hardware.  We'll close this bug for now and if someone else hits it we can reopen.
Comment 4 Andrew 2012-07-11 15:25:18 EDT
Are you sure its hardware specific? Perhaps it can be duplicated with any PC possessing both an onboard graphics chipset and a PCI / AGP / PCIe graphics card with the onboard disabled?

Sorry for the extra footwork. If you got back to me sooner I would've still been able to perform the test but I just wanted to get Fedora working on this old girl.

Note You need to log in before you can comment on or make changes to this bug.